Bug 13512 - make cannot handle targets with path
Summary: make cannot handle targets with path
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: make   
(Show other bugs)
Version: 6.2
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-05 23:04 UTC by Gek
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-22 13:20:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gek 2000-07-05 23:04:29 UTC
I have reason to believe that the make program supplied with the June build
of RedHat IA64 is unable to handle targets with names like
'subdir/outfile'. The usual behavior is to create 'subdir' if it does not
exist and output to 'outfile'. This version of make couldn't handle it and
exits with an error. It can create the directory but it will exit with
errors. Running make with debug on shows it lost the child process. A
temporary workaround in the make files is to create the directory first
before outputting to the file.

Comment 1 Jeff Johnson 2000-07-22 13:20:54 UTC
My experience (and a search of make.info for subdir)  indicate no behavior of
make that automagically creates a subdir that is prefixed in a target. Can you
send a short example Makefile
that illustrates what you expect make to do on ia64? BTW, you might look for
make-3.79.1 as that is the latest version we are building on ia64.

Comment 2 Bill Nottingham 2000-10-27 06:07:59 UTC
closed, lack of input.


Note You need to log in before you can comment on or make changes to this bug.